# NavInstall
navOS Installer

## Create install medium
You can create a bootable install medium with various predefined options:

```sh
navinstall create-iso [--without_gui] [--kb_layout <LAYOUT>] [--kb_variant <VARIANT>]
```

## Install a system
Install a system configuration:
```sh
navinstall install config.toml
```

`config.toml` is a system configuration describing how to install the system.
Example configurations can be found [here](installs) or at `/usr/share/navinstall/installs/`.

## Create an unattended installer
You can create an install medium which immidiately upon boot installs a configuration:

```sh
navinstall create-iso --install config.toml
```

> <b style="color:orange">⚠️ WARNING</b>: This is potentially destructive and will probably wipe all data on the disks if randomly booted from.
