use crate::{linux::systemd_service_enable, pkg::install_pkgs, print_status};

/// Enable Bluetooth
pub fn setup_bluetooth() {
    print_status("Setting up Bluetooth");
    install_pkgs(&["bluez", "bluez-utils"]);
    systemd_service_enable("bluetooth.service");
}
